Subject: bug#13959: Emacs 24.3: ansi-term-color-vector "error in process filter: Invalid face; unspecified"

From: James Jong <[email-masked]>
Date: Thu, 14 Mar 2013 11:51:04 -0400

I used to have the following in my Emacs init file that would make sure
that certain colors display better when using for example the tango dark
theme:

(setq ansi-term-color-vector
       [unspecified "#000000" "#b21818" "#18b218" "#BE5F00"
                    "#6D85BA" "#b218b2" "#18b2b2" "#b2b2b2"])

More generally, I had the ability to change my ansi-term colors with a
command like:

(setq ansi-term-color-vector [unspecified "dim gray" "red3" "lime green"
"yellow3" "DodgerBlue1" "magenta3" "cyan3" "white"])

However, when I run this with the latest stable Emacs, I get the following
error in the minibuffer, and my ansi-term terminal never loads:

"error in process filter: Invalid face; unspecified"

Any thoughts?

James